#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>
#include "common.h"

int debug;

void
die(char* msg, ...)
{
        va_list args;

        va_start(args, msg);
        vfprintf(stderr, msg, args);
        fputc('\n', stderr);
        va_end(args);
        exit(1);
}

void*
xmalloc(size_t size)
{
        void* ret;

        if (!(ret=malloc(size)))
                die("Low memory");

        return ret;
}

void*
xmemalign(size_t boundary, size_t size)
{
        void* ret;

        if (!(ret=memalign(boundary, size)))
                die("Low memory");

        return ret;
}
void*
xrealloc(void* buf, size_t size)
{
        buf = realloc(buf, size);

        if (!buf)
                die("Low memory");

        return buf;
}
